@font-face {
    font-family: 'abeezeeitalic';
    src: url('../fonts/abeezee/abeezee-italic-webfont.eot');
    src: url('../fonts/abeezee/abeezee-italic-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/abeezee/abeezee-italic-webfont.woff') format('woff'),
         url('../fonts/abeezee/abeezee-italic-webfont.ttf') format('truetype'),
         url('../fonts/abeezee/abeezee-italic-webfont.svg#abeezeeitalic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'abeezeeregular';
    src: url('../fonts/abeezee/abeezee-regular-webfont.eot');
    src: url('../fonts/abeezee/abeezee-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/abeezee/abeezee-regular-webfont.woff') format('woff'),
         url('../fonts/abeezee/abeezee-regular-webfont.ttf') format('truetype'),
         url('../fonts/abeezee/abeezee-regular-webfont.svg#abeezeeregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
  font-family: 'icomoon';
  src: url('../fonts/icomoon/icomoon.eot?-1ef6fq');
  src: url('../fonts/icomoon/icomoon.eot?#iefix-1ef6fq') format('embedded-opentype'),
       url('../fonts/icomoon/icomoon.woff?-1ef6fq') format('woff'),
       url('../fonts/icomoon/icomoon.ttf?-1ef6fq') format('truetype'),
       url('../fonts/icomoon/icomoon.svg?-1ef6fq#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
}

/*===============*\
|                 |
|   RESET RULES   |
|                 |
\*===============*/
html, body, div, section, article, h1, h3, strong {
	margin: 0;
	padding: 0;
}

html, body {
  position: relative;

  width: 100%;
  height: 100%;

  font-size: 16px;
  font-family: 'abeezeeregular', helvetica;
  color: #231806;

  overflow: hidden;
}


/*===============*\
|                 |
|     UI PANELS   |
|                 |
\*===============*/

/* General */
.ui {
  position: absolute;
  bottom: -100%;

  width: 100%;
  height: 100%;

  background-color: #ecf0f1;

  -webkit-transition: bottom 600ms ease;
  transition: bottom 600ms ease;
}

.ui-displayed {
  bottom: 0;
}

/* Error panel */
#error-panel {
  text-align: center;
}



/*===============*\
|                 |
|   LOGIN PANEL   |
|                 |
\*===============*/
#login-panel { background-image: url('../images/green-bg.png'); }

#login-panel > header {
  margin: 10%;
  text-align: center;
}

#lp-infos { text-align: center; }

.lp-case {
  display: inline-block;
  
  text-align: center;
  color: #2f2526;

  background-color: #FFF6F0;
  border-radius: 5px;
  border: 1px solid rgba(127, 140, 141, 0.2);
  outline: none;
  -webkit-box-sizing: border-box;
}
.lp-case:nth-child(1) { color : #27A096; }
.lp-case:nth-child(2) { color : #D7446C; }
.lp-case:nth-child(3) { color : #EC9900; }
.lp-case:nth-child(4) { color : #CD6437; }
.lp-case:nth-child(5) { color : #678E23; }
.lp-case:nth-child(6) { color : #E94928; }
.lp-case:nth-child(7) { color : #7B7270; }

.lp-title {
  width: 80px;
  height: 80px;

  line-height: 80px;
  font-size: 60px;
}
#lp-nick {
  display: inline-block;
  
  width: 200px;
  margin-bottom: 35px;
  
  border: 0;
  border-bottom: 4px solid gray;
  
  font-size: 28px;
  color: #ecf0f1;
  text-align: center;
  background: transparent;
  outline: none;
  -webkit-transition: border-color 300ms ease;
}
#lp-nick:focus { border-color: #16a085; }

.lp-desc {
  line-height: 20px;
  font-size: 13px;
  letter-spacing: -1px;

  background-color: rgba(246, 161, 0, 0.5);
}

#lp-start-btn {
  margin-top: 40px;
  padding: 10px 30px;

  font-family: 'abeezeeregular';
  font-size: 15px;
  color: #444;

  border: 2px solid grey;
  border-radius: 3px;
  box-shadow: 0px 2px 10px 0px rgb(127, 140, 141);
  background-image: url('../images/grey.png');
}

#lp-restart-btn {
  margin-top: 40px;
  padding: 10px 30px;

  font-family: 'abeezeeregular';
  font-size: 15px;
  color: #444;

  border: 2px solid grey;
  border-radius: 3px;
  box-shadow: 0px 2px 10px 0px rgb(127, 140, 141);
  background-image: url('../images/grey.png');
}

/* Player Logos */
#lp-logos {
  height: 128px;

  line-height: 128px;
  text-align: center;
}
#lp-logos img:first-child { border-radius: 5px 0 0 5px; }
#lp-logos img:last-child { border-radius: 0 5px 5px 0; }


#lp-logos img {
  width: 100px;

  border: 0px solid;
  border-radius: 0;
  -webkit-transition: all 200ms ease;

}
#lp-logos img:hover,
#lp-logos img.myMonster {
  width: 128px;
  border: 5px solid;
  border-radius: 50%;
}


/*===============*\
|                 |
|   ERROR PANEL   |
|                 |
\*===============*/

#error-panel { background-image: url('../images/pink-bg.png'); }

#error-panel > h1 {
  margin: 6% 0;

  font-size: 6em;
  color: #e74c3c;

  text-shadow: 1px 1px 2px rgba(86, 53, 34, 0.5);
}

#error-panel > strong {
  display: block;
  margin-top: 5%;

  font-size: 1.5em;
  color: #563522;
  text-align: center;
}


/*===============*\
|                 |
|   GAME PANEL    |
|                 |
\*===============*/
#game-panel { background-image: url('../images/grey-bg.png'); }

/* Chat part */
#gs-chat {
  position: relative;
  float: left;
  width: 300px;
  height: 100%;

  background-image: url('../images/grey.png');
}

#gsc-messages {
  height: -webkit-calc(100% - 80px);
  height: -moz-calc(100% - 80px);
  height: calc(100% - 80px);

  color: #2c3e50;
  
  overflow-y: auto;
}
#gsc-messages article {
  padding: 5px 10px;
}
#gsc-messages article > strong {
  display: block;
}
.server-message { font-family: 'abeezeeitalic'; }

#gsc-write {
  position: absolute;
  bottom: 0;
  
  padding: 8px;

  /*width: 94%;*/
  width: -webkit-calc(100% - 66px);
  width: -moz-calc(100% - 66px);
  width: calc(100% - 66px);

  height: 60px;

  color: #ecf0f1;
  font-family: 'abeezeeitalic';
  background-color: rgba(149, 165, 166, 0.6);
}
::-webkit-input-placeholder { color: rgba(236, 240, 241, 0.5); }
::-moz-placeholder { color: rgba(236, 240, 241, 0.5); }
:-moz-placeholder { color: rgba(236, 240, 241, 0.5); }

.gsc-button {
  position: absolute;
  right: 0;

  height: 36px;
  width: 50px;

  font-family: 'icomoon';
  color: #444;
  font-size: 17px;
  line-height: 36px;
  text-align: center;

  border: 2px solid grey;
  border-radius: 3px;
  background-image: url('../images/grey.png');
  box-shadow: none;
  overflow: hidden;
  cursor: pointer;

  -webkit-transition: box-shadow 200ms ease, width 200ms ease;
  -moz-transition: box-shadow 200ms ease, width 200ms ease;
  transition: box-shadow 200ms ease, width 200ms ease;
}
.gsc-button:hover { box-shadow: 0px 2px 10px 0px rgb(127, 140, 141); }
#gsc-command-start { bottom: 38px; }
#gsc-command-grid { bottom: 0px; }
#gsc-command-list-grid { bottom: 76px; }
#gsc-command-start:hover, #gsc-command-grid:hover{
  width: 100px;
}
#gsc-command-list-grid:hover{
  width: 150px;
}
#gsc-command-list-grid:hover:after {
  content: 'Liste des grilles';
  font-family: 'abeezeeregular';
  margin-left: 10px;
  font-size: 14px;
}
#gsc-command-grid:hover:after {
  content: 'Grille';
  font-family: 'abeezeeregular';
  margin-left: 10px;
  font-size: 14px;
}

#gsc-command-:hover:after {
  content: 'Lancer';
  font-family: 'abeezeeregular';
  margin-left: 10px;
  font-size: 14px;
}

/* Game grid part */
#gs-grid-container {
  position: relative;
  float: left;
  width: 900px;
  height: 100%;

  -webkit-perspective: 1200;
  -moz-perspective: 1200;
  perspective: 1200;
}

/* Score part */
#gs-scores {
  float: left;

  width: -webkit-calc(100% - 1200px);
  width: -moz-calc(100% - 1200px);
  width: calc(100% - 1200px);
  height: 90%;

  background-image: url('../images/green-bg.png');
}


/* Responsive grid */
@media screen and (max-width: 1599px) {
  #gs-chat {
    float: left;
    width: -webkit-calc(100% - 900px);
    width: -moz-calc(100% - 900px);
    width: calc(100% - 900px);
    height: 30%;
  }

  /* Game grid part */
  #gs-grid-container {
    float: right;
  }

  /* Score part */
  #gs-scores {
    position: relative;

    float: left;
    
    width: -webkit-calc(100% - 900px);
    width: -moz-calc(100% - 900px);
    width: calc(100% - 900px);
    height: 60%;
  }
  #ig-infos {
    position: relative;

    float: left;
    
    width: -webkit-calc(100% - 900px) !important;
    width: -moz-calc(100% - 900px) !important;
    width: calc(100% - 900px) !important;
    height: 10%;
  }
}

/* grid part */
.frame {
  position: absolute;
  display: inline-block;

  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border: 1px solid rgba(127, 140, 141, 0.2);

  outline: none;
}
.frame::selection { background: transparent; }
.frame::-moz-selection { background: transparent; }

.description {
  background-color: rgba(52, 73, 94, 0.4);
  background: url('../images/grey.png');
}
.description span {
  display: inline-block;
  width: 100%;

  text-align: center;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border-top: 1px solid rgba(127, 140, 141, 0.2);
}

.letter {
  text-align: center;
  background-color: rgba(236, 240, 241, 0.4);

  -webkit-transition: -webkit-transform 350ms ease;
  transition: transform 350ms ease;
}

/* Letter animation */
.reveal0 { 
  -webkit-transform: rotateY(360deg);
  transform: rotateY(360deg);
}
.reveal1 { 
  -webkit-transform: rotateX(360deg);
  transform: rotateX(360deg);
}


/* Right arrow */
.description span.arrow0:after {
  position: absolute;
  right: -16px;
  top: 5px;
  content: "\e603";
  font-family: 'icomoon';
  font-size: 17px;
  line-height: 17px;
  color: #444;
}
/* Right Bottom arrow */
.description span.arrow1:after {
  position: absolute;
  top: 5%;
  right: -18px;
  content: "\e600";
  font-family: 'icomoon';
  font-size: 21px;
  line-height: 21px;
  color: #444;
  -webkit-transform: rotateZ(90deg) rotateX(-180deg);
}
/* Bottom arrow */
.description span.arrow2:after {
  position: absolute;
  left: 35%;
  bottom: -16px;
  content: "\e603";
  font-family: 'icomoon';
  font-size: 17px;
  line-height: 17px;
  color: #444;
  -webkit-transform: rotateZ(90deg);
}
/* Bottom Right arrow */
.description span.arrow3:after {
  position: absolute;
  left: 5%;
  bottom: -19px;
  content: "\e600";
  font-family: 'icomoon';
  font-size: 24px;
  color: #444;
  line-height: 21px;
}

.dash1 { border-bottom: 1.5px dashed rgba(127, 140, 141, 0.7); }
.dash2 { border-right: 1.5px dashed rgba(127, 140, 141, 0.7); }

.empty {
  border: none;
  background-color: gray;
}

.focusCell {
  -webkit-box-shadow: inset 0px 0px 30px 4px rgba(231,166,26,0.4);
  -moz-box-shadow: inset 0px 0px 30px 4px rgba(231,166,26,0.4);
  box-shadow: inset 0px 0px 30px 4px rgba(231,166,26,0.4);

  border-color: rgba(231,166,26,0.4);
}
.goRight:before {
  position: absolute;
  right: -0.2em;
  
  content: "\e605";
  font-family: 'icomoon';
  font-size: 0.7em;
  
  opacity: 0.4;
}
.goDown:before {
  position: absolute;
  bottom: -0.8em;
  left: 31%;
  
  content: "\e604";
  font-family: 'icomoon';
  font-size: 0.7em;
  
  opacity: 0.4;
}


/* Scores */
#scores {

}

.playerScore {
  position: relative;
  float: left;
  height: 100%;

  text-align: center;
}

/* Set container sizes */
.bloc1, .bloc2 { width: 50%; }
.bloc3 { width: 33%; }
.bloc4 { width: 25%; }

.bloc1 > .score-bar, .bloc2 > .score-bar { width: 50%; left: 25%; }
.bloc3 > .score-bar { width: 66%; left: 17%; }
.bloc4 > .score-bar { width: 90%; left: 5%; }


.score-bar {
  position: absolute;
  bottom: 85px;

  display: inline-block;
  height: 0%;

  -moz-box-shadow: 7px 7px 10px 0px rgba(127, 140, 141, 1);
  box-shadow:      7px 7px 10px 0px rgba(127, 140, 141, 1);
  border-radius: 3px;

  -webkit-transition: height 0.3s ease-out;
  transition: height 0.3s ease-out;
}

.score-bar > img {
  width: 80px;
  border-radius: 50%;
  margin-top: -50px;

  -moz-box-shadow: 0px 2px 10px 0px rgba(127, 140, 141, 0.5);
  box-shadow: 0px 2px 10px 0px rgba(127, 140, 141, 0.5);
}



.playerScore > footer {
  position: absolute;
  bottom: 0;

  width: 100%;
  height: 70px;

  color: #ecf0f1;
  text-shadow: 2px 2px 5px #2c3e50;
}

.playerScore > footer > h3 {
  font-size: 1.1em;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.playerScore > footer > strong {
  display: block;
}
.playerScore > footer > span {
  display: block;
  font-size: 0.95em;
}

.bonus {
  position: absolute;
  left: 0;
  bottom: 70px;
  
  width: 100%;
  
  color: #ecf0f1;
  
  font-size: 1.05em;
  text-shadow: 1px 1px 3px rgb(93, 180, 89);
  font-weight: bold;
  line-height: 1em;

  opacity: 0;

  -webkit-animation: onBonusDisplay 600ms ease;
  animation: onBonusDisplay 600ms ease;
}


/*================*\
|                  |
|   INFO TOOLTIP   |
|                  |
\*================*/
#info-tooltip {
  position: absolute;
  top: -100px;
  left: 0;
  padding: 20px 0;

  width: 100%;

  color: #7f8c8d;
  font-size: 1.2em;
  text-align: center;

  background: url('../images/pink-bg.png');
  -webkit-transition: top 300ms ease-in;
  transition: top 300ms ease-in;
}
#info-tooltip strong {
  color: #e74c3c;
}
#info-tooltip.showTopBar { top: 0; }


/*=====================*\
|                       |
|   INGAME INFO PANEL   |
|                       |
\*=====================*/
#ig-infos {

  color: #ecf0f1;
  text-shadow: 2px 2px 5px #2c3e50;
  text-align: center;

  overflow: hidden;

  float: left;

  width: -webkit-calc(100% - 1200px);
  width: -moz-calc(100% - 1200px);
  width: calc(100% - 1200px);
  height: 10%;

  background-image: url('../images/green-bg.png');
}
#ig-infos > header {
  position: relative;
  height: 50%;
  
  font-size: 1.3em;
  line-height: 75px;

  -webkit-transition: top 0.8s ease, height 0.8s ease;
  transition: top 0.8s ease, height 0.8s ease;
}
#ig-infos > header.game-over {
  top: -5%;
  height: 30%;
}

#ig-infos > time {
  font-size: 2em;
  font-weight: bold;
  color: rgb(192, 57, 43);
  text-shadow: 1px 1px 3px #e74c3c;

  opacity: 0.7;
}


#ig-infos > footer {
  position: absolute;
  bottom: 0;

  width: 100%;
}

/* Winner */
#winner-pic {
  display: inline-block;
  margin-bottom: -100px;
  
  width: 80px;
  
  border-radius: 50%;
  
  -moz-box-shadow: 0px 2px 10px 0px rgba(127, 140, 141, 0.5);
  box-shadow: 0px 2px 10px 0px rgba(127, 140, 141, 0.5);

  -webkit-animation: winnerAnimation 500ms ease infinite alternate;
  animation: winnerAnimation 500ms ease infinite alternate;

  -webkit-transition: margin-bottom 400ms ease;
  transition: margin-bottom 400ms ease;
}
#winner-pic.winner-pic-reveal { margin-bottom: 10px; }



/*==============*\
|                |
|   ANIMATIONS   |
|                |
\*==============*/
/* Bonus animation */
@-webkit-keyframes onBonusDisplay {
  0% {
    bottom: 70px;
    font-size: 1.05em;
    opacity: 0;
  }
  25% { opacity: 1; }
  50% { font-size: 1.2em; }
  75% { opacity: 1; }
  100% {
    bottom: 100px;
    font-size: 1.05em;
    opacity: 0;
  }
}
@keyframes onBonusDisplay {
  0% {
    bottom: 70px;
    font-size: 1.05em;
    opacity: 0;
  }
  25% { opacity: 1; }
  50% { font-size: 1.2em; }
  75% { opacity: 1; }
  100% {
    bottom: 100px;
    font-size: 1.05em;
    opacity: 0;
  }
}

/* Winner animation */
@-webkit-keyframes winnerAnimation {
  0% { -webkit-transform: rotateZ(-10deg); }
  100% { -webkit-transform: rotateZ(10deg); }
}
@keyframes winnerAnimation {
  0% { -webkit-transform: rotateZ(-10deg); }
  100% { -webkit-transform: rotateZ(10deg); }
}
